Bug 684620 - [abrt] openoffice.org-writer-1:3.2.0-12.35.fc13: SwTableBox::getRowSpan: Process /usr/lib/openoffice.org3/program/swriter.bin was killed by signal 11 (SIGSEGV)
Summary: [abrt] openoffice.org-writer-1:3.2.0-12.35.fc13: SwTableBox::getRowSpan: Proc...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: openoffice.org
Version: 13
Hardware: i686
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Caolan McNamara
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:898ec82ec0a50d0fa203fc2db93...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-03-13 22:08 UTC by Francisco Mendez
Modified: 2011-03-29 03:57 UTC (History)
2 users (show)

Fixed In Version: poppler-0.16.3-1.fc15
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-03-29 03:55:47 UTC


Attachments (Terms of Use)
File: backtrace (51.77 KB, text/plain)
2011-03-13 22:08 UTC, Francisco Mendez
no flags Details

Description Francisco Mendez 2011-03-13 22:08:29 UTC
abrt version: 1.1.14
architecture: i686
Attached file: backtrace
cmdline: /usr/lib/openoffice.org3/program/swriter.bin -writer file:///home/iframe/Documents/unam/romano_1/guia_latin.doc
component: openoffice.org
crash_function: SwTableBox::getRowSpan
executable: /usr/lib/openoffice.org3/program/swriter.bin
kernel: 2.6.34.7-66.fc13.i686
package: openoffice.org-writer-1:3.2.0-12.35.fc13
rating: 4
reason: Process /usr/lib/openoffice.org3/program/swriter.bin was killed by signal 11 (SIGSEGV)
release: Fedora release 13 (Goddard)
time: 1299406597
uid: 500

How to reproduce
-----
1. No special action was executed. Even the application was not in use at the moment when the crash occurred
2.
3.

Comment 1 Francisco Mendez 2011-03-13 22:08:31 UTC
Created attachment 484049 [details]
File: backtrace

Comment 2 David Tardon 2011-03-14 09:24:24 UTC
The stack trace says that the application was in use--you pressed backspace inside a table cell. Does that ring a bell?

Comment 3 Caolan McNamara 2011-03-14 11:37:42 UTC
If we can believe the bt, then GetTblBox apparently returned a NULL, and we can stick in a band-aid to handle that anyway. This doesn't negate the need to find a route to reproduce this if you can provide that information.

Otherwise band-aid checked in for 3.2.0-12.36 if there is another update for F13

Comment 4 Fedora Update System 2011-03-22 10:12:08 UTC
poppler-0.16.3-1.fc15,libreoffice-3.3.1.2-11.fc15,ufraw-0.18-2.fc15,vtk-5.6.1-5.fc15,apvlv-0.0.9.8-4.fc15,calibre-0.7.44-3.fc15,ease-0.4-4.fc15,epdfview-0.1.7-13.20100621svn.fc15,evince-2.91.92-2.fc15,gambas2-2.22.0-6.fc15,gdcm-2.0.16-17.fc15,gimp-2.6.11-8.fc15,gloobus-preview-0.4.1-13.fc15,gnome-commander-1.2.8.10-3.fc15,gummi-0.5.5-4.fc15,inkscape-0.48.1-4.fc15,koffice-2.3.3-2.fc15,libextractor-0.6.2-1508.fc15,OpenSceneGraph-2.8.3-10.fc15,pdf2djvu-0.7.4-7.fc15,pdf2svg-0.2.1-11.fc15,pypoppler-0.12.1-11.fc15,referencer-1.1.6-15.fc15,rubygem-poppler-0.90.8-2.fc15,texlive-2007-62.fc15,texmaker-2.1-5.fc15,texmakerx-2.0-6.fc15,tracker-0.10.3-2.fc15,vifir-0.8-1.fc15,xournal-0.4.5-12.fc15,zathura-0.0.8.2-5.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/poppler-0.16.3-1.fc15,libreoffice-3.3.1.2-11.fc15,ufraw-0.18-2.fc15,vtk-5.6.1-5.fc15,apvlv-0.0.9.8-4.fc15,calibre-0.7.44-3.fc15,ease-0.4-4.fc15,epdfview-0.1.7-13.20100621svn.fc15,evince-2.91.92-2.fc15,gambas2-2.22.0-6.fc15,gdcm-2.0.16-17.fc15,gimp-2.6.11-8.fc15,gloobus-preview-0.4.1-13.fc15,gnome-commander-1.2.8.10-3.fc15,gummi-0.5.5-4.fc15,inkscape-0.48.1-4.fc15,koffice-2.3.3-2.fc15,libextractor-0.6.2-1508.fc15,OpenSceneGraph-2.8.3-10.fc15,pdf2djvu-0.7.4-7.fc15,pdf2svg-0.2.1-11.fc15,pypoppler-0.12.1-11.fc15,referencer-1.1.6-15.fc15,rubygem-poppler-0.90.8-2.fc15,texlive-2007-62.fc15,texmaker-2.1-5.fc15,texmakerx-2.0-6.fc15,tracker-0.10.3-2.fc15,vifir-0.8-1.fc15,xournal-0.4.5-12.fc15,zathura-0.0.8.2-5.fc15

Comment 5 Fedora Update System 2011-03-23 13:22:16 UTC
libreoffice-3.3.2.2-2.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/libreoffice-3.3.2.2-2.fc15

Comment 6 Fedora Update System 2011-03-29 03:55:32 UTC
libreoffice-3.3.2.2-2.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2011-03-29 03:57:23 UTC
poppler-0.16.3-1.fc15, ufraw-0.18-2.fc15, vtk-5.6.1-5.fc15, apvlv-0.0.9.8-4.fc15, calibre-0.7.44-3.fc15, ease-0.4-4.fc15, epdfview-0.1.7-13.20100621svn.fc15, gdcm-2.0.16-17.fc15, gimp-2.6.11-8.fc15, gloobus-preview-0.4.1-13.fc15, gnome-commander-1.2.8.10-3.fc15, gummi-0.5.5-4.fc15, inkscape-0.48.1-4.fc15, koffice-2.3.3-2.fc15, libextractor-0.6.2-1508.fc15, OpenSceneGraph-2.8.3-10.fc15, pdf2djvu-0.7.4-7.fc15, pdf2svg-0.2.1-11.fc15, pypoppler-0.12.1-11.fc15, referencer-1.1.6-15.fc15, rubygem-poppler-0.90.8-2.fc15, texlive-2007-62.fc15, texmaker-2.1-5.fc15, vifir-0.8-1.fc15, xournal-0.4.5-12.fc15, zathura-0.0.8.2-5.fc15, gambas2-2.22.0-7.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.